2019-10-16 11:36 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001584FSSCPmultiplayerpublic2008-10-07 23:02
ReporterFUBAR-BDHR 
Assigned ToTurey 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001584: Cannot enter setup while at respawn.
DescriptionPlaying multi last night I noticed that I didn't have my usual countermeasure button bound on the joystick. Figured next respawn I would just hit F2 and change it real quick. Tried in and nothing. Resapwned and then hit in and setup came up. Started to bind the button but got killed before I could finish. Respawn window popped up and closed the setup window.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008837

Turey (developer)

Last edited: 2008-01-25 06:05

Sounds simple enough to fix. I'll look into it.

EDIT: Looks like [V] went to the trouble of specifically turning off the Fn keys during a pop-up, at line 6968 in the game_poll() method of FreeSpace.cpp. I'll see what happens if I enable it.

EDIT2: It's very easy to make the Fn keys work on the death pop-ups, but other pop-ups, not so easy. I'm assuming the death pop-up is all you need?

~0009490

FUBAR-BDHR (developer)

Sorry took so long to get back I didn't get the message about the edits so I never noticed.

What I was trying to do was bind a button before I respawned. I was dead but at the respawn / exit screen not out of the game in observer mode.

~0009835

Turey (developer)

Fixed in Revision 4870.
+Notes

-Issue History
Date Modified Username Field Change
2008-01-20 20:07 FUBAR-BDHR New Issue
2008-01-25 04:17 Turey Note Added: 0008837
2008-01-25 04:17 Turey Assigned To => Turey
2008-01-25 04:17 Turey Status new => assigned
2008-01-25 04:28 Turey Note Edited: 0008837
2008-01-25 04:41 Turey Note Edited: 0008837
2008-01-25 06:05 Turey Note Edited: 0008837
2008-07-19 18:05 FUBAR-BDHR Note Added: 0009490
2008-10-07 23:02 Turey Status assigned => resolved
2008-10-07 23:02 Turey Fixed in Version => 3.6.10
2008-10-07 23:02 Turey Resolution open => fixed
2008-10-07 23:02 Turey Note Added: 0009835
+Issue History